%define oname   text-hyphen

Name:       ruby-%{oname}
Epoch:      1
Version:    1.5.0
Release:    %mkrel 2
Summary:    Hyphenate words using modified versions of TeX hyphenation patterns
License:    Ruby License and MIT
Group:      Development/Ruby
URL:        http://rubyforge.org/projects/text-format/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Text::Hyphen will hyphenate words using modified versions of TeX hyphenation
patterns. Text::Hyphen will properly hyphenate various words according to 
the rules of the language the word is written in. The algorithm is based 
on that of the TeX typesetting system by Donald E. Knuth. This is based on
the Perl implementation of TeX::Hyphen[1] and the Ruby port[2]. The 
language hyphenation pattern files are based on the sources available from
CTAN[3] as of 2004.12.19 and have been translated by Austin Ziegler.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{epoch}:%{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{_bindir}/ruby-hyphen
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc Code-of-Conduct.md
%doc Contributing.md
%doc History.md
%doc Licence.md
%doc README.md



%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1:1.5.0-2.mga10
+ Revision: 2222145
- Mageia 10 Mass Rebuild

* Tue Apr 09 2024 pterjan <pterjan> 1:1.5.0-1.mga10
+ Revision: 2056070
- Update to 1.5.0

* Fri Mar 25 2022 umeabot <umeabot> 1:1.4.1-10.mga9
+ Revision: 1826104
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1:1.4.1-9.mga8
+ Revision: 1499951
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1:1.4.1-8.mga7
+ Revision: 1275290
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1:1.4.1-7.mga6
+ Revision: 946455
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:1.4.1-6.mga5
+ Revision: 745221
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.4.1-5.mga5
+ Revision: 688978
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 1:1.4.1-4.mga4
+ Revision: 562538
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 1:1.4.1-3.mga4
+ Revision: 535689
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 1:1.4.1-2.mga4
+ Revision: 482367
- Rebuild for Ruby 2

* Mon Sep 16 2013 pterjan <pterjan> 1:1.4.1-1.mga4
+ Revision: 480416
- Use gem_setup

* Mon Sep 09 2013 pterjan <pterjan> 1:1.4-1.mga4
+ Revision: 476544
- Update to 1.4(.1)

* Fri Feb 08 2013 umeabot <umeabot> 1:1.0.2-3.mga3
+ Revision: 396570
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1:1.0.2-2.mga3
+ Revision: 381562
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 1:1.0.2-1.mga3
+ Revision: 314128
- new version 1.0.2

* Fri Nov 02 2012 fwang <fwang> 1.4.1-1.mga3
+ Revision: 312510
- new version 1.4.1

* Thu Jun 07 2012 solbu <solbu> 1.2-1.mga3
+ Revision: 256706
- New version
- Spec cleanup

* Sun Feb 13 2011 shikamaru <shikamaru> 1.0.2-1.mga1
+ Revision: 51441
- imported package ruby-text-hyphen


* Fri Feb 11 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.0.2-1
- Initial package
